package com.yihu.jw.entity.care.device;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: yeshijie
 * @Date: 2021/9/8
 * @Description:
 */
@Entity
@Table(name = "base_onenet_device")
public class OnenetDevice extends UuidIdentityEntityWithCreateTime{

    private String name;//设备名称
    private String sn;//设备sn码imei
    private String imsi;//sim的imsi
    private String psk;//onenet DTLS加密所使用的PSK
    private String deviceId;//onenet平台设备id
    private String deviceType;//设备厂商类型1未来鹰2 海康
    private String categoryCode;//设备类型标识 14气感，15烟感

    @Column(name="name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name="sn")
    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }
    @Column(name="imsi")
    public String getImsi() {
        return imsi;
    }

    public void setImsi(String imsi) {
        this.imsi = imsi;
    }

    @Column(name="psk")
    public String getPsk() {
        return psk;
    }

    public void setPsk(String psk) {
        this.psk = psk;
    }

    @Column(name="device_id")
    public String getDeviceId() {
        return deviceId;
    }

    @Column(name="device_type")
    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }
    @Column(name="category_code")
    public String getCategoryCode() {
        return categoryCode;
    }

    public void setCategoryCode(String categoryCode) {
        this.categoryCode = categoryCode;
    }
}
